<template>
  <page>
    <b-card-group columns>
      <b-card v-for="(icon, i) of icons" :key="i">
        <icon :name="icon" square/>
        <code>{{ icon }}</code>
      </b-card>
    </b-card-group>
  </page>
</template>

<script>
import feather from 'feather-icons'

export default {
  name: 'icons-page',

  computed: {
    icons () {
      return Object.keys(feather.icons)
    }
  }
}
</script>

<style lang="scss">
.page-icons .feather {
  margin-right: 1rem;
}
</style>
